package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * @author salmanoe
 * @since Jun 20, 2022
 * 
 */
public class SkoringTindakanFarmakologiVO extends BaseTransactionVO {
	
	private static final long serialVersionUID = 2395905126104450639L;

	@Caption(value = "Nilai Skor")
	private Double skor;

	@Caption(value = "Status Verifikasi")
	private Boolean statusVerifikasi;

	@Caption(value = "Tanggal Mulai Berlaku")
	private Date tanggalMulaiBerlaku;

	@Caption(value = "Tanggal Pembaharuan Data")
	private Date tanggalPembaharuanData;

	@Caption(value = "Produk Perawat")
	private ProdukFarmakologiVO produk;

	private Integer produkId;

	private Integer loginUserId;

	public Double getSkor() {
		return skor;
	}

	public void setSkor(Double skor) {
		this.skor = skor;
	}

	public Boolean getStatusVerifikasi() {
		return statusVerifikasi;
	}

	public void setStatusVerifikasi(Boolean statusVerifikasi) {
		this.statusVerifikasi = statusVerifikasi;
	}

	public Date getTanggalMulaiBerlaku() {
		return tanggalMulaiBerlaku;
	}

	public void setTanggalMulaiBerlaku(Date tanggalMulaiBerlaku) {
		this.tanggalMulaiBerlaku = tanggalMulaiBerlaku;
	}

	public Date getTanggalPembaharuanData() {
		return tanggalPembaharuanData;
	}

	public void setTanggalPembaharuanData(Date tanggalPembaharuanData) {
		this.tanggalPembaharuanData = tanggalPembaharuanData;
	}

	public ProdukFarmakologiVO getProduk() {
		return produk;
	}

	public void setProduk(ProdukFarmakologiVO produk) {
		this.produk = produk;
	}

	public Integer getProdukId() {
		return produkId;
	}

	public void setProdukId(Integer produkId) {
		this.produkId = produkId;
	}

	public Integer getLoginUserId() {
		return loginUserId;
	}

	public void setLoginUserId(Integer loginUserId) {
		this.loginUserId = loginUserId;
	}
	
}
